//Internally generated header file.
//Do not mess with it

switch(grid->flags & RASTER_GLOBAL_MASK) {
case 0:
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	break;
case 1:
	#define STOCHASTIC_MOVING
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	break;
case 2:
	#define STOCHASTIC_TRANSPARENT
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	break;
case 3:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	break;
case 4:
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	break;
case 5:
	#define STOCHASTIC_MOVING
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	break;
case 6:
	#define STOCHASTIC_TRANSPARENT
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	break;
case 7:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	break;
case 8:
	#define STOCHASTIC_UNSHADED
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_UNSHADED
	break;
case 9:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_UNSHADED
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_UNSHADED
	break;
case 10:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	break;
case 11:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	break;
case 12:
	#define STOCHASTIC_UNSHADED
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_UNSHADED
	break;
case 13:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_UNSHADED
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_UNSHADED
	break;
case 14:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	break;
case 15:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	break;
case 16:
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 17:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 18:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 19:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 20:
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 21:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 22:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 23:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 24:
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 25:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 26:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 27:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 28:
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 29:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 30:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 31:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	break;
case 32:
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 33:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 34:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 35:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 36:
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 37:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 38:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 39:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 40:
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 41:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 42:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 43:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 44:
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 45:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 46:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 47:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 48:
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 49:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 50:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 51:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 52:
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 53:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 54:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 55:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 56:
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 57:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 58:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 59:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticTriangle.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 60:
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 61:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 62:
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
case 63:
	#define STOCHASTIC_MOVING
	#define STOCHASTIC_TRANSPARENT
	#define STOCHASTIC_UNSHADED
	#define STOCHASTIC_FOCAL_BLUR
	#define STOCHASTIC_EXTRA_SAMPLES
	for(numPrimitives=grid->numPrimitives,cPrimitive=grid->primitives;numPrimitives>0;numPrimitives--,cPrimitive++) {
		if (cPrimitive->xbound[1] < left)	continue;
		if (cPrimitive->ybound[1] < top)		continue;
		if (cPrimitive->xbound[0] >= right)	continue;
		if (cPrimitive->ybound[0] >= bottom)	continue;
		#include "stochasticPoint.h"
	}
	#undef STOCHASTIC_MOVING
	#undef STOCHASTIC_TRANSPARENT
	#undef STOCHASTIC_UNSHADED
	#undef STOCHASTIC_FOCAL_BLUR
	#undef STOCHASTIC_EXTRA_SAMPLES
	break;
default:
	break;
}

